﻿using System.IO;
using System.Text;
using System.Xml.Serialization;
using BO;

namespace BL
{
    public static class Profile
    {
    
        public static void SaveProfile(ProfileAttributeCollection profile)
        {
            if (profile != null && profile.Count > 0)
            {
                // Serialize
                XmlSerializer serializer = new XmlSerializer(typeof(ProfileAttributeCollection));
                StringWriter p = new StringWriter(new StringBuilder());
                serializer.Serialize(p, profile);
                // Save
                DA.Profile.UpdateProfile(p.GetStringBuilder().ToString());
            }
            else
            {
                DA.Profile.UpdateProfile(null);
            }
        }

        public static ProfileAttributeCollection GetProfile()
        {
            string source = DA.Profile.GetProfile();
            if(!string.IsNullOrEmpty(source) && source.Trim().Length > 0)
            {
                XmlSerializer serializer = new XmlSerializer(typeof(ProfileAttributeCollection));
                TextReader profile = new StringReader(source);
                return serializer.Deserialize(profile) as ProfileAttributeCollection;
            }
            return null;
        }

    }
}