﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using BO;

public partial class _Default : Page 
{

    protected void Page_Load(object sender, EventArgs e)
    {
        // Databinding
        if (!Page.IsPostBack)
        {
            ProfileAttributeCollection profile = BL.Profile.GetProfile();
            if (profile != null && profile.Count > 0)
            {
                foreach (ProfileAttribute a in profile)
                {
                    foreach (Control c in ProfileDataPanel.Controls)
                    {
                        if (c != null && a.Key == c.ID)
                        {
                            switch (c.GetType().Name)
                            {
                                case "DropDownList":
                                    DropDownList ddl = c as DropDownList;
                                    foreach (ListItem li in ddl.Items)
                                    {
                                        if (li.Value == a.Value)
                                        {
                                            li.Selected = true;
                                            break;
                                        }
                                    }
                                    break;
                                case "TextBox":
                                    TextBox tb = c as TextBox;
                                    tb.Text = a.Value;
                                    break;
                                case "CheckBoxList":
                                    CheckBoxList cbl = c as CheckBoxList;
                                    foreach (ListItem li in cbl.Items)
                                    {
                                        if (li.Value == a.Value)
                                        {
                                            li.Selected = true;
                                            break;
                                        }
                                    }
                                    break;
                            }
                        }
                    }
                }
            }
        }
    }

    /// <summary>
    /// Fetch profile data and save it
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Button1_Click(object sender, EventArgs e)
    {

        ProfileAttributeCollection profile = new ProfileAttributeCollection();

        foreach (Control c in ProfileDataPanel.Controls)
        {
            if (c != null)
            {
                switch (c.GetType().Name)
                {
                    case "DropDownList":
                        DropDownList ddl = c as DropDownList;
                        if (!string.IsNullOrEmpty(ddl.SelectedValue))
                            profile.Add(new ProfileAttribute(c.ID, ddl.SelectedValue));
                        break;
                    case "TextBox":
                        TextBox tb = c as TextBox;
                        if (!string.IsNullOrEmpty(tb.Text))
                            profile.Add(new ProfileAttribute(c.ID, tb.Text));
                        break;
                    case "CheckBoxList":
                        CheckBoxList cbl = c as CheckBoxList;
                        foreach (ListItem li in cbl.Items)
                        {
                            if (li.Selected)
                                profile.Add(new ProfileAttribute(c.ID, li.Value));
                        }
                        break;
                }
            }
        }

        BL.Profile.SaveProfile(profile);

        ProfileDataPanel.Visible = false;
        SavingSuccessfullPanel.Visible = true;

    }

}
